@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap");
$mobile-width: 576px;
$width-mbl: 500px;
$height-mbl: 600px;
$font-bold: 700;
$font-regular: 400;
$font-text: "Poppins", sans-serif;
//màu bên trong của body, xanh đậm
$background-color: linear-gradient(to right, #22a2ee, #83d2bc);
$background-color-change: linear-gradient(to right, #f3e2a9, #f5a9bc);
$background-body: #20285b;
//hồng
$background-top: #ff2f7d;
//xanh nhạt
$background-note: #2e397b;
//note
$color-note-text: #5a5a5a;

$border-white: rgba(255, 255, 255, 0.7);
$border-blue: rgba(255, 255, 255, 0.2);
$border-big: 12px;
$border-small: 1px;

@mixin mobile {
  @media (max-width: #{$mobile-width}) {
    @content;
  }
}

@mixin note-title {
  font-weight: $font-bold;
  border:none;
}
@mixin note-content {
  font-weight: $font-regular;
  border:none;

}
@mixin border-round-bottom {
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}
@mixin border-round-top {
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}

@mixin box-shadow($color, $size) {
  box-shadow: 1px 1px 1px $size $color;
  border-radius: 20px;
}

@mixin note-box {
  background-color: white;
  color: $color-note-text;
  padding: 5px;
  display: flex;
  flex-direction: column;
  @include border-round-bottom;
  padding: 10px;
  :first-child {
    //text-align: right;
    font-weight: $font-bold;
    .note-title {
      @include note-title;
      &:focus{
        border:none !important;
      }
    }
    .note-content {
      @include note-content;
      &:focus{
        border:none !important;
      }
    }
  }
  :last-child {
    .note-btn {
      padding-top: 7px;
      button {
        width: 70px;
        font-size: 12px;
        font-weight: $font-regular;
        color: white;
      }
    }
  }
}

@mixin round-exit-btn{
    float:right;
    margin-top:-9px;
    margin-right:-13px;
    cursor:pointer;
    color: $background-note;
    border-radius: 30px;
    background: white;
    font-size: 13px;
    font-weight: $font-bold;
    line-height: 1px;
    padding: 8px 5px; 
}

@mixin btn-style {
  flex-direction: row;
  text-align: right;
  color: white;
  font-weight: $font-bold;
}

.background {
  background: $background-color;
  width: 100%;
  padding: 10%;
  height: -webkit-fill-available;
  width: -webkit-fill-available;
  transition: all 1s ease-in;

  &-open {
    background: $background-color-change;
    transition: background-color 2s ease-in-out !important;

  }
  &-close {
    background: $background-color;
    transition: all 1s ease-in !important;

  }
}

.container {
  width: $width-mbl;
  height: $height-mbl;
  max-width: $width-mbl !important;
  max-height: $height-mbl !important;
  //margin: 0 !important;
  padding: 0 !important;
  @include box-shadow($border-white, $border-big);
  //background: white;
  //border-radius: 10px;
  width: 100%;
  display: grid;
  grid-template-rows: max-content;
  //display: inline-block;
  font-family: $font-text;
  //padding: 3%;
  //overflow-x: hidden;
  ::-webkit-scrollbar {
    //display: none;
    width: 0px;
    background: transparent;
  }
  .top {
    background-color: $background-top;
    text-align: center;
    font-family: $font-text;
    padding: 10px 10px 10px 0;
    @include border-round-top;
    .header{
      display: flex;
      //justify-content: space-between;
      padding: 10px;
      margin-left: 30px;
      align-items: center;
      .burger {
        div {
          width: 27px;
          height: 4px;
          background-color: white;
          margin: 4px 0;
        }
      }
  
      h4 {
        flex-grow: 1;
        font-family: $font-text;
        font-weight: 700;
        padding: 5px;
      }
    }

    a#home-tab.nav-link.active{
        transition: all 1s ease-in;
    }

    .nav-link {
      color: black;
      text-align: center;
      
      a {
        display: flex;
        justify-content: space-between;
      }
    }
  
    ul {
      padding: 10px;
      font-size: 12px;
      display: flex;
      justify-content: space-around;
      font-family: $font-text;
      font-weight: 700;
      flex-wrap: nowrap;
      transition: all 1s ease-in;

      li {
        text-align: center;
        //padding: 1px;
        border-radius: 60px;
        background-color: white;
        width: 100px;
        max-width: 100px;
        padding:4px;
        // @include mobile{
        //   margin-left: 10px;
        // }     

      }
    }
  }
}
.body {
  position: relative;
  overflow-y: scroll;
  transition: all 1s ease-in;

  //scrollbar-width: none; /* Firefox */
  //-ms-overflow-style: none;
  /* Internet Explorer 10+ */

  background-color: $background-body;
  //padding: 10px;
  color: white;
  @include border-round-bottom;

  .tab-content {
    padding: 10px 20px 0px 20px;
    transition: all 1s ease-in;
    .tab-pane {
      .card-deck {
        display: flex;
        flex-wrap: wrap;
        transition: all 1s ease-in;
        //ex: 1 0;
        //justify-content: space-around;
        .card {
          background-color: $background-note;
          width: 300px;
          height: 300px;
          margin: 5px 10px 15px 10px;
          flex: 0 0 45% !important;
          @include box-shadow($border-blue, $border-small);
          overflow: scroll;
          @include mobile {
            flex: auto;
          }
          
        }
      }
    }
  }
}
.add-note {
  position: absolute;
  bottom: 0;
  display: block;
  width: -webkit-fill-available;
  overflow: hidden;
  // margin-left: auto;
  // margin-right: auto;
  // left: 0;
  // right: 0;

  .add {
    @include note-box;
    display: none;

    .hide {
      text-align: right !important;
      margin-left: 320px;
      font-weight: $font-bold;
      color: $background-top;
      padding-left: 0;
      :active {
        outline: none;
      }
    }

    .add-content {
      color: $color-note-text;
      opacity: 100;
      transition: all 1s ease-in-out;
      .note-btn {
        @include btn-style;
        .btn-exit {
          background-color: $background-top;
        }
        .btn-save {
          background-color: $background-note;
        }
      }
    }
  }
}

.add-btn {
  bottom: 10px;
    text-align: center;
    display: block;
    position: absolute;
    width: -webkit-fill-available;

  .show {
    background-color: $background-top;
    border: none;
    width: 50px;
    height: 50px;
    color: white;
    font-size: 15px;
    padding: 4px;
    text-align: center;
    //transition: all 2s ease-in;
    /*  padding-bottom: 50%;
   padding-top: 50%; */
    border-radius: 50%;
    :hover {
      color: white !important;
    }
  }
}

.exit{
  @include round-exit-btn;
}


input {-webkit-appearance: none; box-shadow: none !important; }
:-webkit-autofill { color: #fff !important; }

